<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /Users/yassine/Projects/gosuite/packages/base/src/database/migrations</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../../.css/style.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../../.js/html5shiv.min.js"></script>
  <script src="../../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../../index.html">/Users/yassine/Projects/gosuite/packages/base/src</a></li>
        <li><a href="../index.html">database</a></li>
        <li><a href="index.html">migrations</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="2014_10_12_000000_create_users_table.php.html#7">CreateUsersTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2014_10_12_100000_create_password_resets_table.php.html#7">CreatePasswordResetsTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#7">CreateRentContractsTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_144748_create_physical_resources_table.php.html#7">CreatePhysicalResourcesTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#8">CreatePivotContractsResourcesTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_05_07_140927_create_human_resources_table.php.html#7">CreateHumanResourcesTable</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_06_08_100652_create_restrictions_table.php.html#7">CreateRestrictionsTable</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#7">CreateRentContractsTable</a></td><td class="text-right">20</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#8">CreatePivotContractsResourcesTable</a></td><td class="text-right">20</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="2014_10_12_000000_create_users_table.php.html#16"><abbr title="CreateUsersTable::anonymousFunction:16#64">anonymousFunction:16#64</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2014_10_12_000000_create_users_table.php.html#31"><abbr title="CreateUsersTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2014_10_12_100000_create_password_resets_table.php.html#16"><abbr title="CreatePasswordResetsTable::anonymousFunction:16#64">anonymousFunction:16#64</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2014_10_12_100000_create_password_resets_table.php.html#28"><abbr title="CreatePasswordResetsTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#14"><abbr title="CreateRentContractsTable::up">up</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#17"><abbr title="CreateRentContractsTable::anonymousFunction:17#78">anonymousFunction:17#78</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#33"><abbr title="CreateRentContractsTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_144748_create_physical_resources_table.php.html#16"><abbr title="CreatePhysicalResourcesTable::anonymousFunction:16#64">anonymousFunction:16#64</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_144748_create_physical_resources_table.php.html#34"><abbr title="CreatePhysicalResourcesTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#15"><abbr title="CreatePivotContractsResourcesTable::up">up</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#18"><abbr title="CreatePivotContractsResourcesTable::anonymousFunction:18#87">anonymousFunction:18#87</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#37"><abbr title="CreatePivotContractsResourcesTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_05_07_140927_create_human_resources_table.php.html#16"><abbr title="CreateHumanResourcesTable::anonymousFunction:16#64">anonymousFunction:16#64</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_05_07_140927_create_human_resources_table.php.html#43"><abbr title="CreateHumanResourcesTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_06_08_100652_create_restrictions_table.php.html#16"><abbr title="CreateRestrictionsTable::anonymousFunction:16#64">anonymousFunction:16#64</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="2018_06_08_100652_create_restrictions_table.php.html#27"><abbr title="CreateRestrictionsTable::down">down</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="2018_04_28_204444_create_rent_contracts_table.php.html#14"><abbr title="CreateRentContractsTable::up">up</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="2018_04_29_150702_create_pivot_contracts_resources_table.php.html#15"><abbr title="CreatePivotContractsResourcesTable::up">up</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.0.3</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.4</a> with <a href="https://xdebug.org/">Xdebug 2.6.0</a> and <a href="https://phpunit.de/">PHPUnit 7.1.3</a> at Sun Jul 22 20:11:40 UTC 2018.</small>
    </p>
   </footer>
  </div>
  <script src="../../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../../.js/holder.min.js" type="text/javascript"></script>
  <script src="../../.js/d3.min.js" type="text/javascript"></script>
  <script src="../../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([7,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([16,0,0,0,0,0,0,0,0,0,0,5], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,3,"<a href=\"2014_10_12_000000_create_users_table.php.html#7\">CreateUsersTable<\/a>"],[0,3,"<a href=\"2014_10_12_100000_create_password_resets_table.php.html#7\">CreatePasswordResetsTable<\/a>"],[0,4,"<a href=\"2018_04_28_204444_create_rent_contracts_table.php.html#7\">CreateRentContractsTable<\/a>"],[0,3,"<a href=\"2018_04_29_144748_create_physical_resources_table.php.html#7\">CreatePhysicalResourcesTable<\/a>"],[0,4,"<a href=\"2018_04_29_150702_create_pivot_contracts_resources_table.php.html#8\">CreatePivotContractsResourcesTable<\/a>"],[0,3,"<a href=\"2018_05_07_140927_create_human_resources_table.php.html#7\">CreateHumanResourcesTable<\/a>"],[0,3,"<a href=\"2018_06_08_100652_create_restrictions_table.php.html#7\">CreateRestrictionsTable<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"2014_10_12_000000_create_users_table.php.html#14\">CreateUsersTable::up<\/a>"],[0,1,"<a href=\"2014_10_12_000000_create_users_table.php.html#16\">CreateUsersTable::anonymousFunction:16#64<\/a>"],[0,1,"<a href=\"2014_10_12_000000_create_users_table.php.html#31\">CreateUsersTable::down<\/a>"],[100,1,"<a href=\"2014_10_12_100000_create_password_resets_table.php.html#14\">CreatePasswordResetsTable::up<\/a>"],[0,1,"<a href=\"2014_10_12_100000_create_password_resets_table.php.html#16\">CreatePasswordResetsTable::anonymousFunction:16#64<\/a>"],[0,1,"<a href=\"2014_10_12_100000_create_password_resets_table.php.html#28\">CreatePasswordResetsTable::down<\/a>"],[0,2,"<a href=\"2018_04_28_204444_create_rent_contracts_table.php.html#14\">CreateRentContractsTable::up<\/a>"],[0,1,"<a href=\"2018_04_28_204444_create_rent_contracts_table.php.html#17\">CreateRentContractsTable::anonymousFunction:17#78<\/a>"],[0,1,"<a href=\"2018_04_28_204444_create_rent_contracts_table.php.html#33\">CreateRentContractsTable::down<\/a>"],[100,1,"<a href=\"2018_04_29_144748_create_physical_resources_table.php.html#14\">CreatePhysicalResourcesTable::up<\/a>"],[0,1,"<a href=\"2018_04_29_144748_create_physical_resources_table.php.html#16\">CreatePhysicalResourcesTable::anonymousFunction:16#64<\/a>"],[0,1,"<a href=\"2018_04_29_144748_create_physical_resources_table.php.html#34\">CreatePhysicalResourcesTable::down<\/a>"],[0,2,"<a href=\"2018_04_29_150702_create_pivot_contracts_resources_table.php.html#15\">CreatePivotContractsResourcesTable::up<\/a>"],[0,1,"<a href=\"2018_04_29_150702_create_pivot_contracts_resources_table.php.html#18\">CreatePivotContractsResourcesTable::anonymousFunction:18#87<\/a>"],[0,1,"<a href=\"2018_04_29_150702_create_pivot_contracts_resources_table.php.html#37\">CreatePivotContractsResourcesTable::down<\/a>"],[100,1,"<a href=\"2018_05_07_140927_create_human_resources_table.php.html#14\">CreateHumanResourcesTable::up<\/a>"],[0,1,"<a href=\"2018_05_07_140927_create_human_resources_table.php.html#16\">CreateHumanResourcesTable::anonymousFunction:16#64<\/a>"],[0,1,"<a href=\"2018_05_07_140927_create_human_resources_table.php.html#43\">CreateHumanResourcesTable::down<\/a>"],[100,1,"<a href=\"2018_06_08_100652_create_restrictions_table.php.html#14\">CreateRestrictionsTable::up<\/a>"],[0,1,"<a href=\"2018_06_08_100652_create_restrictions_table.php.html#16\">CreateRestrictionsTable::anonymousFunction:16#64<\/a>"],[0,1,"<a href=\"2018_06_08_100652_create_restrictions_table.php.html#27\">CreateRestrictionsTable::down<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
